-- [[ THIS CODE IS WRITTEN BY BENN20002 (76561198114067146) DONT COPY OR STEAL! ]] -- 


local Lang = {
	["DE"] = {
		["Menu:Title"] = "Ticketsystem",
		["Menu:BTNs_Create"] = "Ticket erstellen",
		["Menu:BTNs_Open"] = "Offene Tickets",
		["Menu:BTNs_Closed"] = "Geschlossene Tickets",
		["Menu:BTNs_View"] = "Ticket anzeigen",
		["Menu:Heading_Topic"] = "Thema",
		["Menu:Heading_Description"] = "Beschreibung",
		["Menu:Heading_ID"] = "Ticket-ID",
		["Menu:CreateTicket"] = "Ticket erstellen",
		["Menu:ViewTicket"] = "Ticket anzeigen",
		["Menu:Creator"] = "Ersteller",
		["Menu:Created"] = "Erstellt",
		["Menu:Server"] = "Server",
		["Menu:Loading"] = "Lade..",
		["Menu:SendAnswer"] = "Antwort senden",
		["Menu:CloseTicket"] = "Ticket schließen",
		["Menu:AnswerBy"] = "'%name' (%id):",
		["Chat:Tag"] = "[Ticketsystem]",
		["Chat:Cooldown"] = "Du musst noch %seconds Sekunde(n) warten, bevor du ein neues Ticket erstellen kannst.",
		["Chat:YourCreated"] = "Dein Ticket wurde erstellt.",
		["Chat:TicketCreated"] = "'%name' hat ein Ticket mit dem Thema '%topic' erstellt.",
		["Chat:NoOpenTickets"] = "Keine offenen Tickets gefunden.",
		["Chat:NoClosedTickets"] = "Keine geschlossenen Tickets gefunden.",
		["Chat:TicketNotFound"] = "Ticket nicht gefunden.",
		["Chat:NoTicketAccess"] = "Du hast keinen Zugriff auf dieses Ticket.",
		["Chat:YouClosed"] = "Du hast das Ticket '%topic' geschlossen.",
		["Chat:YourClosed"] = "Dein Ticket '%topic' wurde geschlossen.", //
		["Chat:YorClosedBy"] = "Dein Ticket '%topic' wurde von '%name' geschlossen.",
		["Chat:OpenTickets"] = "Es gibt %amount offene(s) Ticket(s).",
		["Chat:YouAnswered"] = "Du hast auf das Ticket '%topic' geantwortet.",
		["Chat:TicketAnswered"] = "Auf dein Ticket '%topic' wurde geantwortet.",
		["Chat:TicketAnsweredBy"] = "Auf dein Ticket '%topic' wurde von '%name' geantwortet.",
	},
	["EN"] = {
		["Menu:Title"] = "Ticketsystem",
		["Menu:BTNs_Create"] = "Create Ticket",
		["Menu:BTNs_Open"] = "Open Tickets",
		["Menu:BTNs_Closed"] = "Closed Tickets",
		["Menu:BTNs_View"] = "View Ticket",
		["Menu:Heading_Topic"] = "Topic",
		["Menu:Heading_Description"] = "Description",
		["Menu:Heading_ID"] = "Ticket-ID",
		["Menu:CreateTicket"] = "Create Ticket",
		["Menu:ViewTicket"] = "Open Ticket",
		["Menu:Creator"] = "Creator",
		["Menu:Created"] = "Created",
		["Menu:Server"] = "Server",
		["Menu:Loading"] = "Loading..",
		["Menu:SendAnswer"] = "Send answer",
		["Menu:CloseTicket"] = "Close Ticket",
		["Menu:AnswerBy"] = "'%name' (%id):",
		["Chat:Tag"] = "[Ticketsystem]",
		["Chat:Cooldown"] = "You have to wait %seconds second(s) before creating a new Ticket.",
		["Chat:YourCreated"] = "Your Ticket has been created.",
		["Chat:TicketCreated"] = "'%name' created a Ticket with the topic '%topic'.",
		["Chat:NoOpenTickets"] = "No open Tickets found.",
		["Chat:NoClosedTickets"] = "No closed Tickets found.",
		["Chat:TicketNotFound"] = "Ticket not found.",
		["Chat:NoTicketAccess"] = "You don't have access to this Ticket.",
		["Chat:YouClosed"] = "You closed Ticket '%topic'.",
		["Chat:YourClosed"] = "Your Ticket '%topic' has been closed.",
		["Chat:YorClosedBy"] = "Your Ticket '%topic' has been closed by '%name'.",
		["Chat:OpenTickets"] = "There are/is %amount open Ticket(s).",
		["Chat:YouAnswered"] = "You answered to the Ticket '%topic'.",
		["Chat:TicketAnswered"] = "Your Ticket '%topic' has been answered.",
		["Chat:TicketAnsweredBy"] = "Your Ticket '%topic' has been answered by '%name'.",
	}
}

function Ticketsystem.LangSTR(str,vals)
	local trans = Lang[Ticketsystem.Language][str]

	if !trans then
		print("[Ticketsystem] Can't find LangSTR '"..str.."'!")
		return ""
	end

	if vals then
		for find, rep in pairs(vals) do
			trans = string.Replace(trans,find,rep)
		end
	end
	return trans
end