-- [[ THIS CODE IS WRITTEN BY BENN20002 (76561198114067146) DONT COPY OR STEAL! ]] -- 

util.AddNetworkString("Ticketsystem:TicketCreated")
function Ticketsystem.CreateTicket(creator,topic,text)
	if (creator.Ticketsystem_LastTicket or 0) + Ticketsystem.Cooldown > CurTime() then
		Ticketsystem.Message(creator,Ticketsystem.LangSTR("Chat:Cooldown",{
			["%seconds"] = math.Round(((creator.Ticketsystem_LastTicket or 0) + Ticketsystem.Cooldown) - CurTime()),
		}))
		return
	end
	local data = {
		["creator"] = creator:SteamID64(),
		["topic"] = Ticketsystem.Escape(topic),
		["text"] = Ticketsystem.Escape(text),
	}

	creator.Ticketsystem_LastTicket = CurTime()
	Ticketsystem.Query("INSERT INTO "..Ticketsystem.SQLTables["Tickets"].." (creator,topic,text,server,time,open) VALUES ('"..data["creator"].."','"..data["topic"].."','"..data["text"].."','"..Ticketsystem.Server.."','"..os.time().."','1');",function()
		net.Start("Ticketsystem:CreateTicket")
		net.Send(creator)

		if !Ticketsystem.OnCreate["Sound"] and !Ticketsystem.OnCreate["Message"] then return end
		local admins = {}
		for k,v in pairs(player.GetAll()) do
			if !Ticketsystem.Ranks["Notify"][Ticketsystem.Rank(v)] then continue end
			table.insert(admins,v)
		end
		if #admins == 0 then return end
		net.Start("Ticketsystem:TicketCreated")
		net.WriteString(creator:Name())
		net.WriteString(topic)
		net.Send(admins)
	end)
end
util.AddNetworkString("Ticketsystem:CreateTicket")
net.Receive("Ticketsystem:CreateTicket",function(_,ply)
	Ticketsystem.CreateTicket(ply,net.ReadString(),net.ReadString())
end)

function Ticketsystem.Answer(creator,id,text)
	local q = "SELECT topic,creator FROM "..Ticketsystem.SQLTables["Tickets"].." WHERE id = '"..id.."'"
	Ticketsystem.Query(q,function(data)
		if !IsValid(creator) then return end
		if !data then
			Ticketsystem.Message(creator,Ticketsystem.LangSTR("Chat:TicketNotFound"))
			return
		end

		local ticket = data[1]

		if !Ticketsystem.Ranks["Answer"][Ticketsystem.Rank(creator)] and ticket["creator"] != creator:SteamID64() then
			Ticketsystem.Message(creator,Ticketsystem.LangSTR("Chat:NoTicketAccess"))
			return
		end
	
		Ticketsystem.Query("INSERT INTO "..Ticketsystem.SQLTables["Answers"].." (ticket,creator,text,time) VALUES ('"..id.."','"..creator:SteamID64().."','"..Ticketsystem.Escape(text).."','"..os.time().."');",function()
			if IsValid(creator) then
				Ticketsystem.Message(creator,Ticketsystem.LangSTR("Chat:YouAnswered",{["%topic"] = ticket["topic"]}))
				if data[1]["creator"] == creator:SteamID64() then return end
				local ply = player.GetBySteamID64(data[1]["creator"])
				if ply then
					Ticketsystem.Message(ply,Ticketsystem.LangSTR("Chat:TicketAnsweredBy",{["%topic"] = ticket["topic"],["%name"] = creator:Name()}))
				end
			elseif data[1]["creator"] != creator:SteamID64() then
				local ply = player.GetBySteamID64(data[1]["creator"])
				if ply then
					Ticketsystem.Message(ply,Ticketsystem.LangSTR("Chat:TicketAnswered",{["%topic"] = ticket["topic"]}))
				end
			end
		end)
	end)
end
util.AddNetworkString("Ticketsystem:sendAnswer")
net.Receive("Ticketsystem:sendAnswer",function(_,ply)
	Ticketsystem.Answer(ply,net.ReadInt(32),net.ReadString())
end)

function Ticketsystem.Close(caller,id)
	Ticketsystem.Query("SELECT creator,topic FROM "..Ticketsystem.SQLTables["Tickets"].." WHERE id = '"..id.."'",function(data)
		if !IsValid(caller) then return end
		if !data then
			Ticketsystem.Message(caller,Ticketsystem.LangSTR("Chat:TicketNotFound"))
			return
		end
		if !Ticketsystem.Ranks["Close"][Ticketsystem.Rank(caller)] and data[1]["creator"] != caller:SteamID64() then
			Ticketsystem.Message(caller,Ticketsystem.LangSTR("Chat:NoTicketAccess"))
			return
		end
		
		Ticketsystem.Query("UPDATE "..Ticketsystem.SQLTables["Tickets"].." SET open = '0' WHERE id = '"..id.."';",function()
			if IsValid(caller) then
				Ticketsystem.Message(caller,Ticketsystem.LangSTR("Chat:YouClosed",{["%topic"] = data[1]["topic"]}))
				if data[1]["creator"] == caller:SteamID64() then return end
				local ply = player.GetBySteamID64(data[1]["creator"])
				if ply then
					Ticketsystem.Message(ply,Ticketsystem.LangSTR("Chat:YourClosedBy",{["%topic"] = data[1]["topic"],["%name"] = caller:Name()}))
				end
			elseif data[1]["creator"] != caller:SteamID64() then
				local ply = player.GetBySteamID64(data[1]["creator"])
				if ply then
					Ticketsystem.Message(ply,Ticketsystem.LangSTR("Chat:YourClosed",{["%topic"] = data[1]["topic"]}))
				end
			end
		end)
	end)
end
util.AddNetworkString("Ticketsystem:closeTicket")
net.Receive("Ticketsystem:closeTicket",function(_,ply)
	Ticketsystem.Close(ply,net.ReadInt(32))
end)

local last = 0
if Ticketsystem.OpenTicketsMessage then
	timer.Create("Ticketsystem:OpenTicketsMessage",Ticketsystem.OpenTicketsMessage,0,function()
		local plys = {}
		for k,v in pairs(player.GetAll()) do
			if Ticketsystem.Ranks["Notify"][Ticketsystem.Rank(v)] then
				table.insert(plys,v)
			end
		end
		if #plys == 0 then return end
		Ticketsystem.Query("SELECT * FROM "..Ticketsystem.SQLTables["Tickets"].." WHERE open = '1'",function(data)
			if !data then return end
			if #data > 0 then
				Ticketsystem.Message(plys,Ticketsystem.LangSTR("Chat:OpenTickets",{["%amount"] = #data}))
			end
		end)
	end)
end